{% extends "registration/base_client.html" %}
{% load crispy_forms_tags %}
{% block title %}Billetterie BdE{% endblock %}
{% block content %}
    <div class="col-md-8 col-lg-6 col-12 offset-md-2 offset-lg-3">
          <h2 class="title">Connexion</h2>
        {% if form.errors %}
            <p>Votre nom d'utilisateur ne correspond pas à votre mot de passe. Veuillez réessayer</p>
        {% endif %}

        {% if next %}
            {% if user.is_authenticated %}
                <p>Votre compte ne vous permet pas d'accéder à cette page.</p>
            {% else %}
                <p>Veuillez vous identifier pour accéder à cette page.</p>
            {% endif %}
        {% endif %}

        <form method="post" action="{% url 'login' %}">
            {% csrf_token %}
            {{ form | crispy }}

            <button type="submit" name="login" class="btn btn-block btn-success">Se connecter</button>
            <input type="hidden" name="next" value="{{ next }}"/>
        </form>

        {# Assumes you setup the password_reset view in your URLconf #}
        <p><a href="{% url 'password_reset' %}">Mot de passe oublié ??</a></p>
    </div>

{% endblock %}